Bug 181579 - [patch] x11-toolkits/open-motif: fix build at 10.x after recent changes at /usr/bin/ld
Summary: [patch] x11-toolkits/open-motif: fix build at 10.x after recent changes at /u...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-27 09:30 UTC by Boris Samorodov
Modified: 2013-08-30 11:00 UTC (History)
0 users

See Also:


Attachments
file.diff (371 bytes, patch)
2013-08-27 09:30 UTC, Boris Samorodov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2013-08-27 09:30:00 UTC
-----
/bin/sh /usr/local/bin/libtool  --tag=CC   --mode=link cc  -O2 -pipe -fno-strict-aliasing -std=gnu89 -Wall -g -fno-strict-aliasing -Wno-unused -Wno-comment -fno-tree-ter -DCSRG_BASED -DXNO_MTSAFE_API -DXNO_MTSAFE_PWDAPI -D_THREAD_SAFE -I/usr/local/include/freetype2 -I/usr/local/include      -L/usr/local/lib -o wmldbcreate wmldbcreate.o ../../lib/Xm/libXm.la -lXp  -L/usr/local/lib -lXft -lXrender -L/usr/local/lib -lXft   -ljpeg -lpng
libtool: link: cc -O2 -pipe -fno-strict-aliasing -std=gnu89 -Wall -g -fno-strict-aliasing -Wno-unused -Wno-comment -fno-tree-ter -DCSRG_BASED -DXNO_MTSAFE_API -DXNO_MTSAFE_PWDAPI -D_THREAD_SAFE -I/usr/local/include/freetype2 -I/usr/local/include -o .libs/wmldbcreate wmldbcreate.o  -L/usr/local/lib ../../lib/Xm/.libs/libXm.so /usr/local/lib/libXmu.so /usr/local/lib/libXt.so /usr/local/lib/libSM.so /usr/local/lib/libICE.so /usr/local/lib/libXp.so /usr/local/lib/libXext.so /usr/local/lib/libXft.so /usr/local/lib/libfontconfig.so /usr/local/lib/libexpat.so /usr/local/lib/libfreetype.so -lz -lbz2 /usr/local/lib/libXrender.so /usr/local/lib/libX11.so /usr/local/lib/libxcb.so /usr/local/lib/libXau.so /usr/local/lib/libXdmcp.so /usr/local/lib/libpthread-stubs.so -lrpcsvc /usr/local/lib/libjpeg.so -lpng -pthread -Wl,-rpath -Wl,/usr/local/lib
./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv'
./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv_close'
./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv_open'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [wmldbcreate] Error 1
gmake[3]: Leaving directory `/usr/ports/x11-toolkits/open-motif/work/motif-2.3.4/tools/wml'
gmake[2]: *** [all-recursive] Error 1
-----

Fix: Patch attached with submission follows:
How-To-Repeat: Use fresh 10.x and try to build x11-toolkits/open-motif.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-27 09:30:07 UTC
Maintainer of x11-toolkits/open-motif,

Please note that PR ports/181579 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181579

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-27 09:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Boris Samorodov freebsd_committer 2013-08-29 10:53:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take my PR. ;-)
Comment 4 m.tsatsenko 2013-08-29 21:03:57 UTC
Approved,
Thanks!

-- 
Mikhail
Comment 5 dfilter service freebsd_committer 2013-08-30 10:52:33 UTC
Author: bsam
Date: Fri Aug 30 09:52:20 2013
New Revision: 325668
URL: http://svnweb.freebsd.org/changeset/ports/325668

Log:
  Fix build at 10.x after recent changes at /usr/bin/ld. Error log:
  ----
  ./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv'
  ./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv_close'
  ./../lib/Xm/.libs/libXm.so: undefined reference to `libiconv_open'
  -----
  
  PR:		ports/181579
  Submitted by:	bsam (me)
  Approved by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com> (maintainer)

Modified:
  head/x11-toolkits/open-motif/Makefile

Modified: head/x11-toolkits/open-motif/Makefile
==============================================================================
--- head/x11-toolkits/open-motif/Makefile	Fri Aug 30 08:19:28 2013	(r325667)
+++ head/x11-toolkits/open-motif/Makefile	Fri Aug 30 09:52:20 2013	(r325668)
@@ -30,6 +30,7 @@ GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 MAKE_ENV=	LANG=C
 CPPFLAGS+=	-DCSRG_BASED -DXUSE_MTSAFE_API -DXNO_MTSAFE_PWDAPI -I${PREFIX}/include
+LDFLAGS+=	-L${PREFIX}/lib -liconv
 USE_CSTD=	gnu89
 
 DEMOS_SRC=	${WRKSRC}/demos/programs
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Boris Samorodov freebsd_committer 2013-08-30 10:53:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks! ;-)